import path_setting
from in_common.base_request import BaseRequest


class auto_complete_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.AUTO_COMPLE_CONFIG)

    # 日记本添加医院
    def hospital(self,  q="1"):
        self.params["q"] = q
        return self.api_send(self.data["hospital"])

    # 日记本添加医生
    def doctor(self,  q="1"):
        self.params["q"] = q
        return self.api_send(self.data["doctor"])

